# https://github.com/dglent/meteo-qt/archive/v0.9.8.tar.gz
%define aname meteo_qt

Name:           meteo-qt
Version:        3.3
Release:        %mkrel 2
Summary:        Weather status system tray application

License:        GPLv3
Group:          Graphical desktop/Other
URL:            https://github.com/dglent/meteo-qt
Source0:        %{name}-%{version}.tar.xz
Patch0:         meteo-qt-3.3-relax-dependencies.patch
BuildArch:      noarch

BuildRequires:  imagemagick
BuildRequires:  python-qt5-devel
BuildRequires:  python3
BuildRequires:  qttools5
Requires:       python3-qt5
Requires:       python3-urllib3
Requires:       python3-lxml
Requires:       qttranslations5
Requires:       python3-pyqt5-sip


%description
A Qt system tray application for the weather status
Weather data from: http://openweathermap.org/

%prep
%setup -q
%apply_patches

%build
%py3_build

%install
rm -rf %buildroot
%py3_install

%files
%doc TODO CHANGELOG README.md
%exclude %_defaultdocdir/%{name}/LICENSE
%{_bindir}/%{name}
%{_iconsdir}/weather-few-clouds.png
%{python3_sitelib}/%{aname}-%{version}-py%python3_version.egg-info
%{python3_sitelib}/%{aname}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/meteo_qt/translations/

%changelog
* Sat Apr 15 2023 tex - 3.3-2pclos2023
- apply relaxed dep patch

* Sat Apr 15 2023 tex - 3.3-1pclos2023
- new version

* Fri Apr 14 2023 tex - 3.3-1pclos2023
- new version

* Fri Aug 26 2022 TerryN <terryn94 at gmail.com>  3.2-1pclos2022
- update and rebuild for python 3.10

* Wed Apr 25 2018 marcin82 <fixxer1982 at gmail.com> 0.9.8-1pclos2018
- update

* Mon Apr 03 2017 bb2 <bb2> - 0.9.5-1pclos2017
- new version

* Thu Jul 14 2016 bb <bb> 0.9.4-1pclos2016
- update

* Thu May 19 2016 bb <bb> 0.9.3-1pclos2016
- update

* Sun May 15 2016 bb <bb> 0.9.2-1pclos2016
- update
